#if !defined(AFX_PROOBJTEXTRECTSIZELIMIT_H__2D02DDCB_3AED_4C3F_8438_173D8772CBC0__INCLUDED_)
#define AFX_PROOBJTEXTRECTSIZELIMIT_H__2D02DDCB_3AED_4C3F_8438_173D8772CBC0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ProObjTextRectSizeLimit.h : _xZkqqHx_iDhHiDgCiDfPiBfL_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "ProObjTextRectSizeLimitSub.h"	// For CFCPROOBJTEXTRECTSIZELIMIT.
#include "StcBorder.h"		// For CFCStcBorder.
#include "ProObjProperty.h"	// Superclass.

#ifdef SUPER_CLASS
#undef SUPER_CLASS
#endif
#define SUPER_CLASS CFCProObjProperty

/////////////////////////////////////////////////////////////////////////////
// CFCProObjTextRectSizeLimit _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_

class CFCProObjTextRectSizeLimit : public SUPER_CLASS
{
protected:
typedef SUPER_CLASS BASE_CLASS;

	DECLARE_DYNCREATE(CFCProObjTextRectSizeLimit)

// _xZkqqHx_iDfCiDjDiDfIiDgHiDiJiDeOiDfGiDiHiDjD_xHqqkZx_
public:
	CFCProObjTextRectSizeLimit();
	~CFCProObjTextRectSizeLimit();

// _xZkqqHx_iDfPiDeDiDeBiDiNiDeP_xHqqkZx_ _xZkqqHx_iDgGiBfLiDfO_xHqqkZx_
	//{{AFX_DATA(CFCProObjTextRectSizeLimit)
	enum { IDD = IDD_PRO_TEXT_RECT_SIZE_LIMIT };
	CFCStcBorder	m_stcBorder3;
	CFCStcBorder	m_stcBorder2;
	CFCStcBorder	m_stcBorder1;
	//}}AFX_DATA

CFCPROOBJTEXTRECTSIZELIMIT

// _xZkqqHx_iDeJiBfLiDgPiBfLiDiJiDeDiDgI_xHqqkZx_
	// ClassWizard _xZkqqHx_iCmNiJlMjBhKiKnGjAjEiCmMiDeJiBfLiDgPiBfLiDiJiDeDiDgIiCpAjAlGjAkMiClFiCnMiClHiBeC_xHqqkZx_

	//{{AFX_VIRTUAL(CFCProObjTextRectSizeLimit)
	public:
	virtual void OnOK();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV _xZkqqHx_iDfEiDhMiBfLiDgH_xHqqkZx_
	//}}AFX_VIRTUAL

// _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_
protected:
	// _xZkqqHx_jAlGjAkMiClDiCoKiClNiDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDhNiDgCiDhGiKnGjAjE_xHqqkZx_
	//{{AFX_MSG(CFCProObjTextRectSizeLimit)
	virtual BOOL OnInitDialog();
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnDialogInitValue();
	afx_msg void OnTrsRdoMinWidthUsed();
	afx_msg void OnTrsRdoMinWidthUnused();
	afx_msg void OnTrsRdoMinWidthUnknown();
	afx_msg void OnTrsRdoMinHeightUsed();
	afx_msg void OnTrsRdoMinHeightUnused();
	afx_msg void OnTrsRdoMinHeightUnknown();
	afx_msg void OnTrsRdoMaxWidthUsed();
	afx_msg void OnTrsRdoMaxWidthUnused();
	afx_msg void OnTrsRdoMaxWidthUnknown();
	afx_msg void OnTrsRdoMaxHeightUsed();
	afx_msg void OnTrsRdoMaxHeightUnused();
	afx_msg void OnTrsRdoMaxHeightUnknown();
	afx_msg void OnChangeTrsEdtMinWidth();
	afx_msg void OnChangeTrsEdtMinHeight();
	afx_msg void OnChangeTrsEdtMaxWidth();
	afx_msg void OnChangeTrsEdtMaxHeight();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ _xZkqqHx_iCmNjBePiNhDiCmMjClMjBePiCmJjCmHiJmBiCmMjAoJiMlOiCpAjBhNjDpMiClFiCnMiClHiBeC_xHqqkZx_

#endif // !defined(AFX_PROOBJTEXTRECTSIZELIMIT_H__2D02DDCB_3AED_4C3F_8438_173D8772CBC0__INCLUDED_)
